procedure skyproc ()

string files="\*.fits"	{prompt="Files to process"}
string skymethod="skysub"	{prompt="Sky removal method"}
string prefix=""	{prompt="Prefix string for output file names"}
string destdir="../skysub/"	{prompt="Output dir for sky-subtracted files"}
int nskies=0		{prompt="Max number of skies to coadd"}
real fiberdist=0.0	{prompt="Max Fiber distance to sky"}
real skycert=4.0	{prompt="Max R value for certified sky"}
real skystdlim=0.2	{prompt="Max std of difference from average sky"}
bool skysame=yes        {prompt="Use skys only from same chip"}
string skyline="OH8399"	{prompt="Sky line to use for scaling factor"}
bool usearea=no         {prompt="Use sky line area vs. height in scaling"}
real weight=0.0         {prompt="Sky scaling factor. If 0.0, then compute it"}
int mpjobs=4		{prompt="Max number of multiprocessor jobs in parallel"}
string logfile="skyproc.results" {prompt="Name of output summary file"}
file uparmdir="home$uparm"	{prompt="UPARM directory"}
bool verbose=yes	{prompt="note progress"}
bool debug=no		{prompt="note progress in detail"}

begin
    string arg

    if (debug) {
	arg = "-v 2"
	}
    else if (verbose) {
	arg = "-v 1"
	}
    else {
	arg = ""
	}
    arg = arg // " -i " // files // " -d " // destdir // " -n " // nskies
    arg = arg // " -f " // fiberdist // " -r " // skycert // " -e " // skyline
    arg = arg // " -c " // skysame // " -m " // skymethod
    arg = arg // " -s " // skystdlim // " -j " // mpjobs // " -l " // logfile
    arg = arg // " -a " // usearea // " -w " // weight
    arg = arg // " -u " // osfn (uparmdir)
    print ("skyprocksh ",arg)
    skyprocksh (arg)
end








